<div class='element'>
	<div class='avatar' style='height:0px;'></div>
	<div class='post' style='text-align:left;'>
		<div style='padding:15px; width:90%; text-align:left; display:inline-block;' id="settings">
			<h1><span class='fontello' style='font-size:inherit;'>&#xe82e;</span> Settings</h1>
			<form method='GET'>
			<input type='hidden' name='action' value='settings'>
			<br>
			<fieldset style='width:100%'>
			<legend>Timeline</legend>
				<h2>Show replies</h2>
				<div class='setting'>
					<input type='radio' name='replies' id='repliesOn' value='on' style='display:none;' <?php echo ($user_settings['replies'] == 'on' ? "checked" : ""); ?>>
					<label for='repliesOn'>Yes</label>
					<input type='radio' name='replies' id='repliesOff' value='off' style='display:none;' <?php echo ($user_settings['replies'] == 'off' ? "checked" : ""); ?>>
					<label for='repliesOff'>No</label>
				</div>
				<br><br>
				<h2>Show text-only posts</h2>
				<div class='setting'>
					<input type='radio' name='text' id='textOn' value='on' style='display:none;' <?php echo ($user_settings['text'] == 'on' ? "checked" : ""); ?>>
					<label for='textOn'>Yes</label>
					<input type='radio' name='text' id='textOff' value='off' style='display:none;' <?php echo ($user_settings['text'] == 'off' ? "checked" : ""); ?>>
					<label for='textOff'>No</label>
				</div>
				<br><br>
				<h2>Show reblogs</h2>
				<div class='setting'>
					<input type='radio' name='setreblog' id='reblogOn' value='on' style='display:none;' <?php echo ($user_settings['reblog'] == 'on' ? "checked" : ""); ?>>
					<label for='reblogOn'>Yes</label>
					<input type='radio' name='setreblog' id='reblogOff' value='off' style='display:none;' <?php echo ($user_settings['reblog'] == 'off' ? "checked" : ""); ?>>
					<label for='reblogOff'>No</label>
				</div>
			</fieldset>
			
			<fieldset style='width:100%'>
			<legend>Attachments</legend>
				<h2>Hide Attachments, show a link instead.</h2>
				<div class='setting'>
					<input type='radio' name='attach' id='a_hide' value='off' style='display:none;' <?php echo ($user_settings['attach'] == 'off' ? "checked" : ""); ?>>
					<label for='a_hide'>Yes</label>
					<input type='radio' name='attach' id='a_show' value='on' style='display:none;' <?php echo ($user_settings['attach'] == 'on' ? "checked" : ""); ?>>
					<label for='a_show'>No</label>
				</div>
				<br><br>
				<h2>Sensitive Media</h2>
				<div class='setting'>
					<input type='radio' name='explicit' id='hide' value='hide' style='display:none;' <?php echo ($user_settings['explicit'] == 'hide' ? "checked" : ""); ?>>
					<label for='hide'>Hide</label>
					<input type='radio' name='explicit' id='blur' value='blur' style='display:none;' <?php echo ($user_settings['explicit'] == 'blur' ? "checked" : ""); ?>>
					<label for='blur'>Blur</label>
					<input type='radio' name='explicit' id='show' value='off' style='display:none;' <?php echo ($user_settings['explicit'] == 'off' ? "checked" : ""); ?>>
					<label for='show'>Show</label>
				</div>
				<br><br>
				<h2>Loop videos</h2>
				<div class='setting'>
					<input type='radio' name='videoloop' id='loopOn' value='on' style='display:none;' <?php echo ($user_settings['videoloop'] == 'on' ? "checked" : ""); ?>>
					<label for='loopOn'>Yes</label>
					<input type='radio' name='videoloop' id='loopOff' value='off' style='display:none;' <?php echo ($user_settings['videoloop'] == 'off' ? "checked" : ""); ?>>
					<label for='loopOff'>No</label>
				</div>
			</fieldset>
			
			<fieldset style='width:100%'>
			<legend>User Interface</legend>
				<h2>Theme.</h2>
				<select name='theme' onChange='themecheck(this)'>
					<?php
						echo "<option value='default' ".($user_settings['theme'] == "default" ? "selected" : "").">default</option>";
						foreach(themes("list") as $name){
							echo "<option value='$name' ".($user_settings['theme'] == $name ? "selected" : "").">$name</option>";
						}
						echo "<option value='custom' ".($user_settings['theme'] == "custom" ? "selected" : "").">custom</option>";
					?>
				</select>
				
				<div id="customtheme"<?php echo ($user_settings['theme'] == "custom" ? "" : "style='display:none;'");?>>
				<fieldset>
				<legend>Custom Colors</legend>
					Foreground:<br>
					<input type="color" name="fg" value="#<?php echo (!empty($theme) ? $theme['fg'] : "#ffffff");?>"><br><br>
					Background:<br>
					<input type="color" name="bg" value="#<?php echo (!empty($theme) ? $theme['bg'] : "#2b475d");?>"><br><br>
					Text Color:<br>
					<input type="color" name="tx" value="#<?php echo (!empty($theme) ? $theme['tx'] : "#000000");?>"><br><br>
					Link Color:<br>
					<input type="color" name="lc" value="#<?php echo (!empty($theme) ? $theme['lc'] : "#4682b4");?>"><br><br>
					Border Color:<br>
					<input type="color" name="bc" value="#<?php echo (!empty($theme) ? $theme['bc'] : "#ffffff");?>"><br><br>
					Border Width:<br>
					<input type="text" name="bw" value="<?php echo (!empty($theme) ? $theme['bw'] : "0");?>"><br><br>
					Border Radius:<br>
					<input type="text" name="br" value="<?php echo (!empty($theme) ? $theme['br'] : "3");?>"><br><br>
				</fieldset>
				</div>
			</fieldset>
			<br><br>
			<br><br>
			<input type="submit" value="Save" id="send" onClick='return false;'>
			</form>
		</div>
	</div>
</div>
